Package org.drinkless.tdlib

# Class TdApi.ChatMembersFilterMention

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMembersFilter
org.drinkless.tdlib.TdApi.ChatMembersFilterMention

Enclosing class:
  TdApi

public static class TdApi.ChatMembersFilterMention extends TdApi.ChatMembersFilter
Returns users which can be mentioned in the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatMembersFilter

  `TdApi.ChatMembersFilter.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageThreadId`
  If non-zero, the identifier of the current message thread.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMembersFilterMention()`
  Returns users which can be mentioned in the chat.
  `ChatMembersFilterMention(long messageThreadId)`
  Returns users which can be mentioned in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageThreadId

    public long messageThreadId
    If non-zero, the identifier of the current message thread.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMembersFilterMention

    public ChatMembersFilterMention()
    Returns users which can be mentioned in the chat.

  - ### ChatMembersFilterMention

    public ChatMembersFilterMention(long messageThreadId)
    Returns users which can be mentioned in the chat.
    Parameters:
      `messageThreadId` - If non-zero, the identifier of the current message thread.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatMembersFilter`
    Returns:
      this.CONSTRUCTOR